Ruby: pm_interpolated_regular_expression_node Struct Reference

Ruby 4.0.5p0 (2026-05-20 revision 64336ffd0ee9e1f4c05891695a3d7b49cb709721)

Data Fields
pm_interpolated_regular_expression_node Struct Reference

InterpolatedRegularExpressionNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_location_t | opening_loc
| InterpolatedRegularExpressionNode#opening_loc.
struct pm_node_list | parts
| InterpolatedRegularExpressionNode#parts.
pm_location_t | closing_loc
| InterpolatedRegularExpressionNode#closing_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

InterpolatedRegularExpressionNode.

Represents a regular expression literal that contains interpolation.

    /foo #{bar} baz/
    ^^^^^^^^^^^^^^^^

Type: ::PM_INTERPOLATED_REGULAR_EXPRESSION_NODE

Flags (#pm_regular_expression_flags):

- ::PM_REGULAR_EXPRESSION_FLAGS_IGNORE_CASE
- ::PM_REGULAR_EXPRESSION_FLAGS_EXTENDED
- ::PM_REGULAR_EXPRESSION_FLAGS_MULTI_LINE
- ::PM_REGULAR_EXPRESSION_FLAGS_ONCE
- ::PM_REGULAR_EXPRESSION_FLAGS_EUC_JP
- ::PM_REGULAR_EXPRESSION_FLAGS_ASCII_8BIT
- ::PM_REGULAR_EXPRESSION_FLAGS_WINDOWS_31J
- ::PM_REGULAR_EXPRESSION_FLAGS_UTF_8
- ::PM_REGULAR_EXPRESSION_FLAGS_FORCED_UTF8_ENCODING
- ::PM_REGULAR_EXPRESSION_FLAGS_FORCED_BINARY_ENCODING
- ::PM_REGULAR_EXPRESSION_FLAGS_FORCED_US_ASCII_ENCODING

Definition at line 5326 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_interpolated_regular_expression_node::base

The embedded base node.

Definition at line 5328 of file ast.h.

Referenced by pm_dump_json().

## ◆ closing_loc

pm_location_t pm_interpolated_regular_expression_node::closing_loc

InterpolatedRegularExpressionNode#closing_loc.

Definition at line 5344 of file ast.h.

Referenced by pm_dump_json().

## ◆ opening_loc

pm_location_t pm_interpolated_regular_expression_node::opening_loc

InterpolatedRegularExpressionNode#opening_loc.

Definition at line 5334 of file ast.h.

Referenced by pm_dump_json().

## ◆ parts

struct pm_node_list pm_interpolated_regular_expression_node::parts

InterpolatedRegularExpressionNode#parts.

Definition at line 5339 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h